Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache
Interface ExtendedTreeCacheListener

All Known Implementing Classes:
  AbstractTreeCacheListener, ConsoleListener, SharedStoreCacheLoader, TreeCacheView.MyListener

    public interface ExtendedTreeCacheListener

Callbacks for various events regarding TreeCache.

This interface is an extension to TreeCacheListener to include newly added event types in release 1.2.4. We will merge it with TreeCacheListener in release 1.3.

Implementers should avoid performing long running actions, as this blocks the cache. If you have to do so, please start a new thread.

Version:
  $Revision: 1.3 $
Author:
  Hany Mesha

Method Summary
`void` | `nodeActivate(Fqn fqn, boolean pre)` Called when a node is to be or has been activated into memory via the CacheLoader that was evicted earlier.
`void` | `nodeEvict(Fqn fqn, boolean pre)` Called when a node is about to be evicted or has been evicted from the in-memory cache.
`void` | `nodeModify(Fqn fqn, boolean pre, boolean isLocal)` Called when a node is about to be modified or has been modified.
`void` | `nodePassivate(Fqn fqn, boolean pre)` Called when a node is to be or has been written to the backend store via the cache loader due to a node eviction by the eviction policy provider
`void` | `nodeRemove(Fqn fqn, boolean pre, boolean isLocal)` Called when a node is about to be removed or has been removed from the in-memory cache.

Method Detail

### nodeEvict

    void nodeEvict(Fqn fqn,
                   boolean pre)

  Called when a node is about to be evicted or has been evicted from the in-memory cache. Note: Currently TreeCacheListener has `TreeCacheListener.nodeEvicted(Fqn)` which will be merged with method in release 1.3.

  Parameters:
    `fqn` -
    `pre` -
  See Also:
    `TreeCacheListener.nodeEvicted(Fqn)`

### nodeRemove

    void nodeRemove(Fqn fqn,
                    boolean pre,
                    boolean isLocal)

  Called when a node is about to be removed or has been removed from the in-memory cache. Note: Currently TreeCacheListener has `TreeCacheListener.nodeRemoved(Fqn)` which will be merged with this method in release 1.3.

  Parameters:
    `fqn` -
    `pre` -
    `isLocal` -
  See Also:
    `TreeCacheListener.nodeRemoved(Fqn)`

### nodeModify

    void nodeModify(Fqn fqn,
                    boolean pre,
                    boolean isLocal)

  Called when a node is about to be modified or has been modified. Note: Currently TreeCacheListener has `TreeCacheListener.nodeModified(Fqn)` which will be merged with this method in release 1.3.

  Parameters:
    `fqn` -
    `pre` -
    `isLocal` -
  See Also:
    `TreeCacheListener.nodeModified(Fqn)`

### nodeActivate

    void nodeActivate(Fqn fqn,
                      boolean pre)

  Called when a node is to be or has been activated into memory via the CacheLoader that was evicted earlier.

  Parameters:
    `fqn` -
    `pre` -

### nodePassivate

    void nodePassivate(Fqn fqn,
                       boolean pre)

  Called when a node is to be or has been written to the backend store via the cache loader due to a node eviction by the eviction policy provider

  Parameters:
    `fqn` -
    `pre` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.